Vcenter Lcm Deployment MigrationUpgrade PlannedDowntime get

Vcenter Lcm Deployment MigrationUpgrade PlannedDowntime get

Shows expectations about planned downtime in the next "duration" minutes. If an upgrade is scheduled and the schedule falls within the requested timeframe, the answer is Vcenter Lcm Deployment MigrationUpgrade PlannedDowntime Expected.YES. If no planned downtime is expected in the requested timeframe - the answer is Vcenter Lcm Deployment MigrationUpgrade PlannedDowntime Expected.NO. If there is no schedule, but an upgrade is ongoing, it depends on what phase the upgrade has reached - up to Vcenter Lcm Deployment MigrationUpgrade Status State.STAGING the service will compare against a predetermined amount of minutes to answer. If Vcenter Lcm Deployment MigrationUpgrade Status State.PREPARING state has started, the answer would be Vcenter Lcm Deployment MigrationUpgrade PlannedDowntime Expected.UNKNOWN, as switchover can happen anytime now.

This operation was added in vSphere API 9.1.0.0.

Request
URI
GET
https://{host}/api/vcenter/lcm/deployment/migration-upgrade/planned-downtime
COPY
Query Parameters
integer
duration
Required

number of minutes to check from current moment


Authentication
This operation uses the following authentication methods.
Responses
200

Info contains information about the planned downtime expectations.

{
    "expected": "string"
}
string
expected
Required

The planned downtime expectations.

For more information see: Vcenter Lcm Deployment MigrationUpgrade PlannedDowntime Expected.

This property was added in vSphere API 9.1.0.0.


401

if the caller is not authenticated.

Returns Vapi Std Errors Unauthenticated of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": {
                        "id": "string",
                        "params": {
                            "params": "Vapi Std LocalizationParam Object"
                        }
                    },
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string",
    "challenge": "string"
}
string
challenge
Optional

Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.

For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da1358-2ba4-11e9-b210-d663bd873d93",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"

This property was added in vSphere API 7.0.0.0.

This property is optional because it was added in a newer version than its parent node.


403

if the caller is not authorized.

Returns Vapi Std Errors Unauthorized of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string",
    "challenge": "string"
}
string
challenge
Optional

Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.

For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da158-2ba4-11e9-b",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"

This property was added in vSphere API 9.1.0.0.

This property is optional because it was added in a newer version than its parent node.


500

If there is other error raised as part of the upgrade process. The accompanying error message will give more details about the failure.

Returns Vapi Std Errors Error of type(s) application/json
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}
array of object
messages
Required

Stack of one or more localizable messages for human error consumers.

The message at the top of the stack (first in the list) describes the error from the perspective of the operation the client invoked.

Each subsequent message in the stack describes the "cause" of the prior message.

object
data
Optional

Data to facilitate clients responding to the operation reporting a standard error to indicating that it was unable to complete successfully.

Operations may provide data that clients can use when responding to errors. Since the data that clients need may be specific to the context of the operation reporting the error, different operations that report the same error may provide different data in the error. The documentation for each each operation will describe what, if any, data it provides for each error it reports.

The Vapi Std Errors ArgumentLocations, Vapi Std Errors FileLocations, and Vapi Std Errors TransientIndication schemas are intended as possible values for this property. Vapi Std DynamicID may also be useful as a value for this property (although that is not its primary purpose). Some resources may provide their own specific schemas for use as the value of this property when reporting errors from their operations.

Some operations will not set this property when reporting errors.

string
error_type
Required

Discriminator field to help API consumers identify the structure type.

For more information see: Vapi Std Errors Error Type.

This property was added in vSphere API 6.7.2.

Can be missing or null for compatibility with preceding implementations.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/vcenter/lcm/deployment/migration-upgrade/planned-downtime?duration=v